- Qt 6.10
- Qt Data Visualization
- QML Types
- Light3D
- Qt Data Visualization | Commercial or GPLv3

# Light3D QML Type

Representation of a light source in 3D space. More...

Import Statement: | `import QtDataVisualization 1.10`
Since: | QtDataVisualization 1.0
In C++: | Q3DLight

- List of all members, including inherited members

## Properties

- autoPosition : bool `(since QtDataVisualization 1.3)`

## Detailed Description

Light3D represents a monochrome light source in 3D space.

Note: Default light has autoPosition `true`.

## Property Documentation

autoPosition : bool `[since QtDataVisualization 1.3]`

Defines whether the light position follows the camera automatically.

Note: Has no effect if shadows are enabled. Remember to disable shadows before setting light's position, or it will be overwritten by automatic positioning if this property is `false`.

This property was introduced in QtDataVisualization 1.3.